Create Direct Debit (management)
POST /obp/v7.0.0/management/banks/BANK_ID/accounts/ACCOUNT_ID/direct-debit
OBPv4.0.0-createDirectDebitManagement Roles: CanCreateDirectDebitAtOneBank(per bank) Direct-DebitAccount
Create direct debit for an account.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
BANK_ID: gh.29.uk
JSON request body fields (6)
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- date_starts
- 2020-01-27
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- date_expires
- 2021-01-27
- date_signed
- 2020-01-27
JSON response body fields (11)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- active
- false
- bank_id
- gh.29.uk
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- date_cancelled
- 2020-01-27
- date_expires
- 2021-01-27
- date_signed
- 2020-01-27
- date_starts
- 2020-01-27
- direct_debit_id
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example request body
{
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"date_signed": "1100-01-01T00:00:00Z",
"date_starts": "1100-01-01T00:00:00Z",
"date_expires": "1100-01-01T00:00:00Z"
}Example success response
{
"direct_debit_id": "aa0533bd-eb22-4bff-af75-d45240361b05",
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"date_signed": "2026-10-21T01:45:42Z",
"date_starts": "2026-10-21T01:45:42Z",
"date_expires": "2026-10-21T01:45:42Z",
"date_cancelled": "2026-10-21T01:45:42Z",
"active": true
}Possible errors (10)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
- OBP-30022: The current view does not have the permission:
- OBP-10001: Incorrect json format.
- OBP-30046: Customer not found. Please specify a valid value for CUSTOMER_ID.
- OBP-20057: User not found by userId.
- OBP-30017: Counterparty not found. Please specify a valid value for COUNTERPARTY_ID.
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: